Bug 105158 - Xorg crash on gesture
Summary: Xorg crash on gesture
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Input/libinput (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Peter Hutterer
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-19 09:20 UTC by coolo1mc
Modified: 2018-03-19 08:28 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
stacktrace (4.12 KB, text/plain)
2018-02-19 09:20 UTC, coolo1mc
no flags Details
fuller log (12.02 KB, text/plain)
2018-02-20 03:04 UTC, coolo1mc
no flags Details
evemu-record (17.11 KB, text/plain)
2018-02-22 05:03 UTC, coolo1mc
no flags Details
libinput xorg config (478 bytes, text/plain)
2018-02-22 10:44 UTC, coolo1mc
no flags Details

Description coolo1mc 2018-02-19 09:20:55 UTC
Created attachment 137434 [details]
stacktrace

When using libinpput gestures using 3 fingers, xorg sometimes crashes back to sddm instantly. Very sporadic, works most times.
Comment 1 coolo1mc 2018-02-20 03:04:04 UTC
Created attachment 137453 [details]
fuller log
Comment 2 Peter Hutterer 2018-02-20 06:07:59 UTC
Please run sudo evemu-record (in screen) and record your touchpad, then reproduce the issue. Run with --autorestart 2 (see the man page) so the final log is short enough, attach the output here please. see this link for details:

https://wayland.freedesktop.org/libinput/doc/latest/reporting_bugs.html#evemu
Comment 3 coolo1mc 2018-02-22 05:03:04 UTC
Created attachment 137523 [details]
evemu-record

Recorded for a while, this time crash seemed to occur with just one touch this time.
Comment 4 Peter Hutterer 2018-02-22 07:00:56 UTC
Any options you have set? I can't make it crash here, at least not on git master. What version of libinput do you have?

Also, install debugging symbols please, having a stack trace that gives us a hint of where it crashes is likely helpful. There's an assert_fail in the stacktrace, so there's a chance this is bug 105160 although I can't make it crash here with an unfixed version of libinput.
Comment 5 coolo1mc 2018-02-22 10:44:56 UTC
Created attachment 137528 [details]
libinput xorg config

by options do you mean my xorg xinput config? It is attached. I have libinput version 1.10.0-1.
I rebuilt libinput with debug symbols enabled, what needs to be done??
Comment 6 Peter Hutterer 2018-02-23 06:47:23 UTC
Try to get a stacktrace with the debug symbols attached. I tried reproducing this here with libinput debug-events and the options from your xorg.conf, but it doesn't crash, sorry. Can you reproduce the crash with libinput debug-events?
Comment 7 coolo1mc 2018-02-27 00:46:04 UTC
Feb 27 11:43:17 badhp systemd[1163]: pulseaudio.service: Failed with result 'exit-code'.
Feb 27 11:43:18 badhp systemd-coredump[27576]: Process 845 (Xorg) of user 0 dumped core.
                                               
                                               Stack trace of thread 1070:
                                               #0  0x00007f65255987e4 n/a (intel_drv.so)
                                               #1  0x00007f652551c068 n/a (intel_drv.so)
                                               #2  0x00005586230ddd79 n/a (Xorg)
                                               #3  0x00007f6528d7bdd0 __restore_rt (libpthread.so.0)
                                               #4  0x00007f65289e7860 raise (libc.so.6)
                                               #5  0x00007f65289e8ec9 abort (libc.so.6)
                                               #6  0x00007f65289e00bc __assert_fail_base (libc.so.6)
                                               #7  0x00007f65289e0133 __assert_fail (libc.so.6)
                                               #8  0x00007f65216de639 n/a (/usr/lib/libinput.so.10.13.0 (deleted))
-- Subject: Process 845 (Xorg) dumped core
Comment 8 coolo1mc 2018-03-01 07:31:38 UTC
systemd-coredump[23029]: Process 773 (Xorg) of user 0 dumped core.
                                               
                                               Stack trace of thread 1050:
                                               #0  0x00007f4926f867e4 n/a (intel_drv.so)
                                               #1  0x00007f4926f0a068 n/a (intel_drv.so)
                                               #2  0x0000557379fe4d79 n/a (Xorg)
                                               #3  0x00007f492a769dd0 __restore_rt (libpthread.so.0)
                                               #4  0x00007f492a3d5860 raise (libc.so.6)
                                               #5  0x00007f492a3d6ec9 abort (libc.so.6)
                                               #6  0x00007f492a3ce0bc __assert_fail_base (libc.so.6)
                                               #7  0x00007f492a3ce133 __assert_fail (libc.so.6)
                                               #8  0x00007f49230d6851 n/a (libinput.so.10)
                                               #9  0x00007f49230d75b8 n/a (libinput.so.10)
                                               #10 0x00007f49230c31b8 n/a (libinput.so.10)
                                               #11 0x00007f49230c2a9f libinput_dispatch (libinput.so.10)
                                               #12 0x00007f4923340c19 n/a (libinput_drv.so)
                                               #13 0x0000557379fe3163 n/a (Xorg)
                                               #14 0x0000557379fe5861 n/a (Xorg)
                                               #15 0x0000557379fe2fae n/a (Xorg)
                                               #16 0x00007f492a75f08c start_thread (libpthread.so.0)
                                               #17 0x00007f492a496e7f __clone (libc.so.6)
                                               
                                               Stack trace of thread 830:
                                               #0  0x00007f492a7653bd pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                               #1  0x00007f4926f864a0 n/a (intel_drv.so)
                                               #2  0x00007f492a75f08c start_thread (libpthread.so.0)
                                               #3  0x00007f492a496e7f __clone (libc.so.6)
                                               
                                               Stack trace of thread 829:
                                               #0  0x00007f492a7653bd pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                               #1  0x00007f4926f864a0 n/a (intel_drv.so)
                                               #2  0x00007f492a75f08c start_thread (libpthread.so.0)
                                               #3  0x00007f492a496e7f __clone (libc.so.6)

                         
                                               Stack trace of thread 828:
                                               #0  0x00007f492a7653bd pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                               #1  0x00007f4926f864a0 n/a (intel_drv.so)
                                               #2  0x00007f492a75f08c start_thread (libpthread.so.0)
                                               #3  0x00007f492a496e7f __clone (libc.so.6)
                                               
                                               Stack trace of thread 773:
                                               #0  0x00007f492a496fe6 epoll_pwait (libc.so.6)
                                               #1  0x0000557379fe5817 n/a (Xorg)
                                               #2  0x0000557379fde70b WaitForSomething (Xorg)
                                               #3  0x0000557379e7efc3 n/a (Xorg)
                                               #4  0x0000557379e83260 n/a (Xorg)
                                               #5  0x00007f492a3c1f4a __libc_start_main (libc.so.6)
                                               #6  0x0000557379e6cf0a _start (Xorg)
-- Subject: Process 773 (Xorg) dumped core
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: man:core(5)
-- 
-- Process 773 (Xorg) crashed and dumped core.
-- 
-- This usually indicates a programming error in the crashing program and
-- should be reported to its vendor as a bug.
Comment 9 Peter Hutterer 2018-03-01 08:23:14 UTC
could be bug 105160 or bug 105258, the former is fixed in 1.10.1, the latter has a patchset on the list.
Comment 10 Janusz Kowalski 2018-03-11 20:19:26 UTC
Hi. It reproduces for me with libinput 1.10.2. My stack trace:

#0  0x00007f3932aee7e4 n/a (intel_drv.so)
#1  0x00007f3932a72068 n/a (intel_drv.so)
#2  0x000055aaef8f7d79 n/a (Xorg)
#3  0x00007f39362dbdd0 __restore_rt (libpthread.so.0)
#4  0x00007f3935f47860 raise (libc.so.6)
#5  0x00007f3935f48ec9 abort (libc.so.6)
#6  0x00007f3935f400bc __assert_fail_base (libc.so.6)
#7  0x00007f3935f40133 __assert_fail (libc.so.6)
#8  0x00007f393008ce0d n/a (libinput.so.10)
#9  0x00007f393008d8f8 n/a (libinput.so.10)
#10 0x00007f39300791d8 n/a (libinput.so.10)
#11 0x00007f3930078abf libinput_dispatch (libinput.so.10)
#12 0x00007f39302e5c19 n/a (libinput_drv.so)
#13 0x000055aaef8f6163 n/a (Xorg)
#14 0x000055aaef8f8861 n/a (Xorg)
#15 0x000055aaef8f5fae n/a (Xorg)
#16 0x00007f39362d108c start_thread (libpthread.so.0)
#17 0x00007f3936008e7f __clone (libc.so.6)
Comment 11 Larry Cheech 2018-03-18 12:54:09 UTC
Same issue, here;

[  1670.238] (EE)
[  1670.238] (EE) Backtrace:
[  1670.239] (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4d) [0x55d1336bde3d]
[  1670.239] (EE) 1: /usr/lib/xorg/Xorg (0x55d133506000+0x1bbbd9) [0x55d1336c1b$
[  1670.239] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fc957baf000+0x11$
[  1670.239] (EE) 3: /lib/x86_64-linux-gnu/libc.so.6 (gsignal+0x10b) [0x7fc9578$
[  1670.239] (EE) 4: /lib/x86_64-linux-gnu/libc.so.6 (abort+0x151) [0x7fc95782b$
[  1670.239] (EE) 5: /lib/x86_64-linux-gnu/libc.so.6 (0x7fc9577f5000+0x2d9da) [$
[  1670.239] (EE) 6: /lib/x86_64-linux-gnu/libc.so.6 (0x7fc9577f5000+0x2da52) [$
[  1670.239] (EE) 7: /usr/lib/x86_64-linux-gnu/libinput.so.10 (0x7fc9545a4000+0$
[  1670.239] (EE) 8: /usr/lib/x86_64-linux-gnu/libinput.so.10 (0x7fc9545a4000+0$
[  1670.239] (EE) 9: /usr/lib/x86_64-linux-gnu/libinput.so.10 (0x7fc9545a4000+0$
[  1670.239] (EE) 10: /usr/lib/x86_64-linux-gnu/libinput.so.10 (0x7fc9545a4000+$
[  1670.239] (EE) 11: /usr/lib/x86_64-linux-gnu/libinput.so.10 (libinput_dispat$
[  1670.239] (EE) 12: /usr/lib/xorg/modules/input/libinput_drv.so (0x7fc95480c0$
[  1670.240] (EE) 13: /usr/lib/xorg/Xorg (0x55d133506000+0x1b9fb3) [0x55d1336bf$
[  1670.240] (EE) 14: /usr/lib/xorg/Xorg (0x55d133506000+0x1bc6b1) [0x55d1336c2$
[  1793.975] (EE) 15: /usr/lib/xorg/Xorg (0x563344d5c000+0x1b9dfe) [0x563344f15$
[  1793.975] (EE) 16: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fb13659a000+0x7$
[  1793.975] (EE) 17: /lib/x86_64-linux-gnu/libc.so.6 (clone+0x3f) [0x7fb1362d6$
[  1793.975] (EE)
[  1793.976] (EE)
Fatal server error:
[  1793.976] (EE) Caught signal 6 (Aborted). Server aborting
[  1793.976] (EE)
[  1793.976] (EE)
Comment 12 Peter Hutterer 2018-03-19 04:17:53 UTC
Can you reproduce this with 1.10.3?
Comment 13 Larry Cheech 2018-03-19 08:28:31 UTC
Upgrading to 1.10.3 seems to have fixed the issue. 1.10.3 wasnt avaliabe in my distros repo so built from source and everything is fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.